
while_stat < TWhileStat: TStat > :
   "while"
   "(" cond:expr ")"
   code:inner_stat ;

if_stat < TIfStat: TStat >  :
   "if"
   "(" cond:expr ")"
   then_code:inner_stat
   (
      <new_line>
      "else"
      else_code:inner_stat
   )?   ;

coumpund_stat < TCompoundStat: TSTat > :
   "{"
    <indent>
    (
       <new_line>
       <add> stat
    )*
   <unindent>
   <new_line>
    "}" ;

simple_stat < TSimpleStat: TStat >:
   subexpr:expr
   ";" ;

empty_stat < TEmptyStat: TStat > :
   ";" ;

stat < select TStat > :
   while_stat | if_stat | coumpund_stat | simple_stat | empty_stat ;

inner_stat < return TStat > :
   <new_line>
   <indent>
   stat
   <unindent > ;

program < return TStat >:
   stat ;



simple_expr <TSimpleExpr> :
   name:identifier | value:number  | "(" subexpr:expr ")" ;

mult_expr <TMultExpr> :
   <add> simple_expr ( "*" <add> simple_expr )* ;

add_expr <TAddExpr> :
   <add> mult_expr ( "+" <add> mult_expr )* ;

expr <TExpr> :
   first:add_expr ( "=" second:add_expr )* ;


